/* ct2hc.f -- translated by f2c (version 19990503).
   You must link the resulting object file with the libraries:
	-lf2c -lm   (in that order)
*/

#include "libtinyf2c.h"

/* ----------------------------------------------------------------------- */
/*     COORDINATE TRANSFORMATION (2D HYPERBOLIC -> CARTESIAN ) */
/*                                              93/02/18   S.SAKAI */
/* ----------------------------------------------------------------------- */
/*     Copyright (C) 2000 GFD Dennou Club. All rights reserved. */
/* ----------------------------------------------------------------------- */
/* Subroutine */ int ct2hc_(real *u, real *v, real *x, real *y)
{
    /* Builtin functions */
    double sqrt(doublereal);

    /* Local variables */
    static real uv;

    uv = sqrt(*u * *u + *v * *v);
    if (*v > 0.f) {
	*x = sqrt(*u + uv) / 2;
    } else {
	*x = -sqrt(*u + uv) / 2;
    }
    *y = sqrt(-(*u) + uv) / 2;
    return 0;
} /* ct2hc_ */

